Deep Review API

Deep Review API for automated, in-depth document reviews.

Service: deepreview.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://deepreview.googleapis.com

REST Resource: v1

Methods
getUserQuota GET /v1/{name=userQuota}
Retrieves the review quota limits and sliding-window usage for the authenticated caller.

REST Resource: v1.documents

Methods
delete DELETE /v1/{name=documents/*}
Deletes a document and its stored content.
estimateReviewCost POST /v1/{document=documents/*}:estimateReviewCost
Estimates what a review of a document would cost on the caller's Gemini API key.
get GET /v1/{name=documents/*}
Retrieves document metadata.
list GET /v1/documents
Lists documents for the authenticated caller with cursor pagination.

REST Resource: v1.documents.reviews

Methods
create POST /v1/{parent=documents/*}/reviews
Creates and initiates an asynchronous multi-agent review for a document.
get GET /v1/{name=documents/*/reviews/*}
Retrieves a specific review execution result.
list GET /v1/{parent=documents/*}/reviews
Lists all review execution runs for a document.

REST Resource: v1.media

Methods
download GET /v1/{name=documents/*}:download
Downloads the original document content (PDF binary) using media streaming.
upload POST /v1/documents
POST /upload/v1/documents
Creates a new Document resource and ingests the manuscript using media upload or Google Drive.

REST Resource: v1.operations.documents.reviews

Methods
get GET /v1/{name=operations/documents/*/reviews/*}
Gets the latest state of a long-running operation.